#!/usr/local/bin/python3
# Import des Datentyps für exakte Berechnungen
from decimal import *
# Präzision der Berechnungen wird gesetzt (auf 100 Stellen genau)
getcontext().prec = 100

# Ausgabe der Überschrift
print("---Wurzelberechnung---")

# Holen der Benutzereingaben
#  Dabei wird gleich in die richtigen Zahlenformate umgewandelt.
radikand = Decimal(2)
x = Decimal(5)
n = int(10)

# Eigentliche Berechnung

# Wieder hole n mal
for i in range(n):
  y=radikand/x
  x=(x+y)/2
  print (i, ":  ", format(x,'.100f'))
  